Index: src/edu/ucsb/nceas/metacat/util/SystemUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/SystemUtil.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/util/SystemUtil.java	(revision 5030)
@@ -35,7 +35,7 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.MetacatVersion;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.service.ServiceService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
@@ -48,7 +48,7 @@
 
 	private static Logger logMetacat = Logger.getLogger(SystemUtil.class);
 	private static String METACAT_SERVLET = "metacat";
-	private static String METACAT_WEB_SERVLET = "metacatweb";
+//	private static String METACAT_WEB_SERVLET = "metacatweb";
 	private static int OS_CLASS = 0;
 	
 	// Class of OS.  If we need more granularity, we should create a version
@@ -224,15 +224,15 @@
 		return getContextURL() + "/" + METACAT_SERVLET;
 	}
 	
-	/**
-	 * Get the web front end servlet URL. This is made up of the server URL with 
-	 * context + file separator + the metacat web servlet name
-	 * 
-	 * @return string holding the web servlet URL
-	 */
-	public static String getWebServletURL() throws PropertyNotFoundException {
-		return getContextURL() + "/" + METACAT_WEB_SERVLET;
-	}
+//	/**
+//	 * Get the web front end servlet URL. This is made up of the server URL with 
+//	 * context + file separator + the metacat web servlet name
+//	 * 
+//	 * @return string holding the web servlet URL
+//	 */
+//	public static String getWebServletURL() throws PropertyNotFoundException {
+//		return getContextURL() + "/" + METACAT_WEB_SERVLET;
+//	}
 
 	/**
 	 * Get the style skins URL. This is made up of the server URL with context +
@@ -256,11 +256,11 @@
 	
 	/**
 	 * Get the metacat version by getting the string representation from
-	 * metacat.properties and instantiating a MetaCatVersion object.
+	 * metacat.properties and instantiating a MetacatVersion object.
 	 * The info is set in build.properties and then populated into metacat.properties
 	 * at build time using Ant token replacement.
 	 * 
-	 * @return a MetaCatVersion object holding metacat version information
+	 * @return a MetacatVersion object holding metacat version information
 	 */
 	public static MetacatVersion getMetacatVersion() throws PropertyNotFoundException {
 		String metacatVersionString = 
@@ -275,7 +275,7 @@
 	 * The info is set in build.properties and then populated into metacat.properties
 	 * at build time using Ant token replacement.
 	 * 
-	 * @return a MetaCatVersion object holding metacat version information
+	 * @return a MetacatVersion object holding metacat version information
 	 */
 	public static String getMetacatReleaseInfo() throws PropertyNotFoundException {
 		return PropertyService.getProperty("application.metacatReleaseInfo");
@@ -417,9 +417,9 @@
 			// Set the default location using the os
 			String systemDir = "";
 			if (getOsClass() == WIN_OS) {
-				systemDir = PropertyService.getProperty("application.windowsBackupBaseDir");
+				systemDir = "C:\\Program Files";
 			} else {
-				systemDir = PropertyService.getProperty("application.linuxBackupBaseDir");
+				systemDir = "/var";
 			}	
 			String systemMetacatDir = systemDir + FileUtil.getFS() + "metacat";
 			String systemBackupDir = systemMetacatDir + FileUtil.getFS() + "."
@@ -477,11 +477,8 @@
 			logMetacat.warn("Could not get real application context: " + se.getMessage());
 		} catch (UtilException ue) {
 			logMetacat.warn("Could not create directory: " + ue.getMessage());
-		} catch (PropertyNotFoundException pnfe) {
-			logMetacat.warn("Could not get default backup base dir property: "
-					+ pnfe.getMessage());
-		}
-	
+		} 
+		
 		// Otherwise, return userHomeDir
 		return null;
 	}
Index: src/edu/ucsb/nceas/metacat/util/DocumentUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/DocumentUtil.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/util/DocumentUtil.java	(revision 5030)
@@ -34,7 +34,7 @@
 import edu.ucsb.nceas.dbadapter.AbstractDatabase;
 import edu.ucsb.nceas.metacat.DBSAXHandler;
 import edu.ucsb.nceas.metacat.NodeRecord;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/AuthLdap.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AuthLdap.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/AuthLdap.java	(revision 5030)
@@ -49,7 +49,7 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import java.lang.InstantiationException;
Index: src/edu/ucsb/nceas/metacat/DBTransform.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/DBTransform.java	(revision 5030)
@@ -48,8 +48,8 @@
 import org.xml.sax.InputSource;
 import org.apache.xpath.XPathAPI;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
-import edu.ucsb.nceas.metacat.service.SkinPropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
+import edu.ucsb.nceas.metacat.properties.SkinPropertyService;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import edu.ucsb.nceas.utilities.SortedProperties;
@@ -67,7 +67,6 @@
   private String httpServer = null;
   private String contextURL = null;
   private String servletURL = null;
-  private String webServletURL = null;
   
   /**
    * construct a DBTransform instance.
@@ -87,7 +86,6 @@
     httpServer = SystemUtil.getServerURL();
     contextURL = SystemUtil.getContextURL();
     servletURL = SystemUtil.getServletURL();
-    webServletURL = SystemUtil.getWebServletURL();
   }
 
   /**
@@ -269,13 +267,11 @@
         logMetacat.debug("cgi-prefix=" + cgiPrefix);
         logMetacat.debug("httpServer=" + httpServer);
         logMetacat.debug("contextURL=" + contextURL);
-        logMetacat.debug("serletURL=" + servletURL);
-        logMetacat.debug("webServletURL=" + webServletURL);
+        logMetacat.debug("servletURL=" + servletURL);
         transformer.setParameter("cgi-prefix", cgiPrefix);
         transformer.setParameter("httpServer", httpServer);
         transformer.setParameter("contextURL", contextURL);
         transformer.setParameter("servletURL", servletURL);
-        transformer.setParameter("webServletURL", webServletURL);
         
         // Set up parameter for transformation
         if ( param != null) {
Index: src/edu/ucsb/nceas/metacat/service/XMLSchemaService.java
===================================================================
--- src/edu/ucsb/nceas/metacat/service/XMLSchemaService.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/service/XMLSchemaService.java	(revision 5030)
@@ -41,6 +41,7 @@
 import edu.ucsb.nceas.metacat.MetaCatServlet;
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.BaseService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.utilities.FileUtil;
Index: src/edu/ucsb/nceas/metacat/DBUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBUtil.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/DBUtil.java	(revision 5030)
@@ -49,7 +49,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.DocumentUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/util/AuthUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/AuthUtil.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/util/AuthUtil.java	(revision 5030)
@@ -33,7 +33,7 @@
 import javax.servlet.http.HttpSession;
 
 import edu.ucsb.nceas.metacat.AuthSession;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.service.SessionService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
Index: src/edu/ucsb/nceas/metacat/util/DatabaseUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/DatabaseUtil.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/util/DatabaseUtil.java	(revision 5030)
@@ -33,7 +33,7 @@
 import org.apache.log4j.Logger;
 
 import edu.ucsb.nceas.metacat.database.DBVersion;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/util/SkinUtil.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/SkinUtil.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/util/SkinUtil.java	(revision 5030)
@@ -30,7 +30,7 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 import edu.ucsb.nceas.utilities.StringUtil;
Index: src/edu/ucsb/nceas/metacat/util/EMLVersionsTransformer.java
===================================================================
--- src/edu/ucsb/nceas/metacat/util/EMLVersionsTransformer.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/util/EMLVersionsTransformer.java	(revision 5030)
@@ -40,7 +40,7 @@
 import edu.ucsb.nceas.metacat.McdbException;
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 
 import javax.xml.transform.TransformerFactory;
 import javax.xml.transform.Transformer;
Index: src/edu/ucsb/nceas/metacat/AuthTest.java
===================================================================
--- src/edu/ucsb/nceas/metacat/AuthTest.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/AuthTest.java	(revision 5030)
@@ -32,7 +32,7 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import java.lang.InstantiationException;
Index: src/edu/ucsb/nceas/metacat/DBQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/DBQuery.java	(revision 5030)
@@ -50,7 +50,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.AuthUtil;
 import edu.ucsb.nceas.metacat.util.DocumentUtil;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
Index: src/org/kepler/executionWS/KeplerWebServiceLocator.java
===================================================================
--- src/org/kepler/executionWS/KeplerWebServiceLocator.java	(revision 5029)
+++ src/org/kepler/executionWS/KeplerWebServiceLocator.java	(revision 5030)
@@ -7,7 +7,7 @@
 
 package org.kepler.executionWS;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 public class KeplerWebServiceLocator extends org.apache.axis.client.Service implements org.kepler.executionWS.KeplerWebService {
Index: src/edu/ucsb/nceas/dbadapter/AbstractDatabase.java
===================================================================
--- src/edu/ucsb/nceas/dbadapter/AbstractDatabase.java	(revision 5029)
+++ src/edu/ucsb/nceas/dbadapter/AbstractDatabase.java	(revision 5030)
@@ -30,7 +30,7 @@
 
 import java.sql.*;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 
 /**
  * Java offers uniform database access through the use of JDBC.
Index: src/edu/ucsb/nceas/metacat/DBValidate.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DBValidate.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/DBValidate.java	(revision 5030)
@@ -44,7 +44,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 
 /**
  * Name: DBValidate.java
Index: src/edu/ucsb/nceas/metacat/IndexingQueue.java
===================================================================
--- src/edu/ucsb/nceas/metacat/IndexingQueue.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/IndexingQueue.java	(revision 5030)
@@ -35,7 +35,7 @@
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
 import edu.ucsb.nceas.metacat.database.DBConnectionPool;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
Index: src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/AdvancedSearchServlet.java	(revision 5030)
@@ -36,7 +36,7 @@
 import javax.servlet.http.HttpSession;
 
 import edu.ucsb.nceas.metacat.client.*;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/advancedsearch/BrowseServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/BrowseServlet.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/BrowseServlet.java	(revision 5030)
@@ -37,7 +37,7 @@
 import javax.servlet.http.HttpSession;
 
 import edu.ucsb.nceas.metacat.client.*;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/advancedsearch/SearchServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/SearchServlet.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/SearchServlet.java	(revision 5030)
@@ -36,7 +36,7 @@
 import javax.servlet.http.HttpSession;
 
 import edu.ucsb.nceas.metacat.client.*;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/LoginServlet.java	(revision 5030)
@@ -37,7 +37,7 @@
 import javax.servlet.http.HttpSession;
 
 import edu.ucsb.nceas.metacat.client.*;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/advancedsearch/MetacatHelper.java
===================================================================
--- src/edu/ucsb/nceas/metacat/advancedsearch/MetacatHelper.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/advancedsearch/MetacatHelper.java	(revision 5030)
@@ -25,7 +25,7 @@
 package edu.ucsb.nceas.metacat.advancedsearch;
 
 import edu.ucsb.nceas.metacat.AuthLdap;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 import javax.servlet.ServletContext;
Index: src/edu/ucsb/nceas/metacat/spatial/SpatialDataset.java
===================================================================
--- src/edu/ucsb/nceas/metacat/spatial/SpatialDataset.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/spatial/SpatialDataset.java	(revision 5030)
@@ -45,7 +45,7 @@
 import java.net.URL;
 import java.net.MalformedURLException;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 
 /**
  * Class providing direct read/write access to the
Index: src/edu/ucsb/nceas/metacat/spatial/SpatialDocument.java
===================================================================
--- src/edu/ucsb/nceas/metacat/spatial/SpatialDocument.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/spatial/SpatialDocument.java	(revision 5030)
@@ -25,7 +25,7 @@
 import java.io.File;
 
 import edu.ucsb.nceas.metacat.database.DBConnection;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.util.MetacatUtil;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
Index: src/edu/ucsb/nceas/metacat/ArchiveHandler.java
===================================================================
--- src/edu/ucsb/nceas/metacat/ArchiveHandler.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/ArchiveHandler.java	(revision 5030)
@@ -34,7 +34,7 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.HandlerException;
 import edu.ucsb.nceas.metacat.shared.MetacatUtilException;
 import edu.ucsb.nceas.metacat.util.ErrorSendingErrorException;
Index: src/edu/ucsb/nceas/metacat/harvesterClient/HarvestLog.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/HarvestLog.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/HarvestLog.java	(revision 5030)
@@ -34,7 +34,7 @@
 import java.util.Date;
 import java.util.StringTokenizer;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
Index: src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java
===================================================================
--- src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/harvesterClient/MetUpload.java	(revision 5030)
@@ -42,7 +42,7 @@
 import com.oreilly.servlet.multipart.Part;
 
 import edu.ucsb.nceas.metacat.client.*;
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
 import edu.ucsb.nceas.metacat.util.SystemUtil;
 import edu.ucsb.nceas.utilities.GeneralPropertyException;
Index: src/edu/ucsb/nceas/metacat/database/DBConnectionPool.java
===================================================================
--- src/edu/ucsb/nceas/metacat/database/DBConnectionPool.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/database/DBConnectionPool.java	(revision 5030)
@@ -37,7 +37,7 @@
 
 import org.apache.log4j.Logger;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /** 
Index: src/edu/ucsb/nceas/metacat/DocumentIdQuery.java
===================================================================
--- src/edu/ucsb/nceas/metacat/DocumentIdQuery.java	(revision 5029)
+++ src/edu/ucsb/nceas/metacat/DocumentIdQuery.java	(revision 5030)
@@ -26,8 +26,9 @@
 import java.io.File;
 import java.util.Hashtable;
 
-import edu.ucsb.nceas.metacat.service.PropertyService;
+import edu.ucsb.nceas.metacat.properties.PropertyService;
 import edu.ucsb.nceas.metacat.shared.ServiceException;
+import edu.ucsb.nceas.utilities.FileUtil;
 import edu.ucsb.nceas.utilities.PropertyNotFoundException;
 
 /**
@@ -120,7 +121,7 @@
 		String CONFIG_DIR = "lib";
 		File dirPath = new File(CONFIG_DIR);
 		try {
-			PropertyService.getInstance();
+			PropertyService.getInstance(dirPath.getPath() + FileUtil.getFS() + "metacat.properties");
 		} catch (ServiceException ioe) {
 			System.err.println("Error in loading properties: " + ioe.getMessage());
 		}
